// ***************************************
// Plugin Configuration Dialog for SourceBoost IDE
// 
// Author(s): David Hobday
//
// Copyright (C) 2003-2010 Pavel Baranov
// Copyright (C) 2003-2010 David Hobday
// 
// This code may be freely used to develop
// Plugins for the SourceBoost IDE
// ***************************************

#include "stdafx.h"
#include "PluginApp.h"
#include "PluginConfigureDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPluginConfigureDlg dialog


CPluginConfigureDlg::CPluginConfigureDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPluginConfigureDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPluginConfigureDlg)
	m_pinName = _T("");
	//}}AFX_DATA_INIT
}


void CPluginConfigureDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPluginConfigureDlg)
	DDX_CBString(pDX, IDC_PINLIST, m_pinName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPluginConfigureDlg, CDialog)
	//{{AFX_MSG_MAP(CPluginConfigureDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPluginConfigureDlg message handlers
